Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkDashedStreamLine Class Reference

`#include <vtkDashedStreamLine.h>`

Inheritance diagram for vtkDashedStreamLine:

[legend]
Collaboration diagram for vtkDashedStreamLine:

[legend]
List of all members.

## Detailed Description

generate constant-time dashed streamline in arbitrary dataset

Date:
  2002/01/22 15:29:14

Revision:
  1.33

vtkDashedStreamLine is a filter that generates a "dashed" streamline for an arbitrary dataset. The streamline consists of a series of dashes, each of which represents (approximately) a constant time increment. Thus, in the resulting visual representation, relatively long dashes represent areas of high velocity, and small dashes represent areas of low velocity.

vtkDashedStreamLine introduces the instance variable DashFactor. DashFactor interacts with its superclass' instance variable StepLength to create the dashes. DashFactor is the percentage of the StepLength line segment that is visible. Thus, if the DashFactor=0.75, the dashes will be "three-quarters on" and "one-quarter off".

See also:
  vtkStreamer vtkStreamLine vtkStreamPoints

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (77%)
  - Geveci, Berk (6%)
  - Martin, Ken (5%)
  - Cedilnik, Andy (5%)

CVS logs (CVSweb):
  - .`h` (`/Graphics/vtkDashedStreamLine.h)`
  - .`cxx` (`/Graphics/vtkDashedStreamLine.cxx)`

Tests:
  vtkDashedStreamLine (Tests)

Definition at line 59 of file vtkDashedStreamLine.h.

## Public Types
typedef vtkStreamLine | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | SetDashFactor (float)
virtual float | GetDashFactor ()
## Static Public Methods
vtkDashedStreamLine * | New ()
int | IsTypeOf (const char *type)
vtkDashedStreamLine * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkDashedStreamLine ()
| ~vtkDashedStreamLine ()
void | Execute ()
## Protected Attributes
float | DashFactor

## Member Typedef Documentation

typedef vtkStreamLine vtkDashedStreamLine::Superclass

| Reimplemented from vtkStreamLine. Definition at line 63 of file vtkDashedStreamLine.h.

## Constructor & Destructor Documentation

vtkDashedStreamLine::vtkDashedStreamLine | ( |  | ) | `[protected]`

vtkDashedStreamLine::~vtkDashedStreamLine | ( |  | ) | `[inline, protected]`

| Definition at line 76 of file vtkDashedStreamLine.h.

## Member Function Documentation

vtkDashedStreamLine* vtkDashedStreamLine::New | ( |  | ) | `[static]`

| Construct object with step size set to 1.0. Reimplemented from vtkStreamLine.

virtual const char* vtkDashedStreamLine::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkStreamLine.

int vtkDashedStreamLine::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkStreamLine.

virtual int vtkDashedStreamLine::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkStreamLine.

vtkDashedStreamLine* vtkDashedStreamLine::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkStreamLine.

void vtkDashedStreamLine::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkStreamLine.

virtual void vtkDashedStreamLine::SetDashFactor | ( | float |  | ) | `[virtual]`

| For each dash, specify the fraction of the dash that is "on". A factor of 1.0 will result in a continuous line, a factor of 0.5 will result in dashed that are half on and half off.

virtual float vtkDashedStreamLine::GetDashFactor | ( |  | ) | `[virtual]`

| For each dash, specify the fraction of the dash that is "on". A factor of 1.0 will result in a continuous line, a factor of 0.5 will result in dashed that are half on and half off.

void vtkDashedStreamLine::Execute | ( |  | ) | `[protected, virtual]`

| This method is the old style execute method Reimplemented from vtkStreamLine.

## Member Data Documentation

float vtkDashedStreamLine::DashFactor`[protected]`

| Definition at line 82 of file vtkDashedStreamLine.h.

The documentation for this class was generated from the following file:

- Graphics/vtkDashedStreamLine.h